Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.cookie.params
Class CookieSpecParamBean

    java.lang.Object
      org.apache.http.params.HttpAbstractParamBean
          org.apache.http.cookie.params.CookieSpecParamBean

    @NotThreadSafe
    public class CookieSpecParamBean

extends HttpAbstractParamBean

This is a Java Bean class that can be used to wrap an instance of `HttpParams` and manipulate HTTP cookie parameters using Java Beans conventions.

Since:
  4.0

Field Summary

Fields inherited from class org.apache.http.params.HttpAbstractParamBean
`params`

Constructor Summary
`CookieSpecParamBean(HttpParams params)`

Method Summary
`void` | `setDatePatterns(Collection<String> patterns)`
`void` | `setSingleHeader(boolean singleHeader)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CookieSpecParamBean

    public CookieSpecParamBean(HttpParams params)

Method Detail

### setDatePatterns

    public void setDatePatterns(Collection<String> patterns)

### setSingleHeader

    public void setSingleHeader(boolean singleHeader)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.